#!/bin/bash

CASHGUARD_PORT="/dev/ttyUSB0"

export LD_LIBRARY_PATH="/opt/pos/common/addons/cashguard/lib"
export DISPLAY=:0.0

PARAM=$1

# start c++ daemon
if [ "$PARAM" = "daemon" ]; then
  HAS_PLUGIN=`cat /opt/pos/etc/config.ini | grep PLUGIN | grep PLUGIN=CASHGUARD`

  # install cashguard reset plugin
  if [ "$HAS_PLUGIN" = "" ]; then
    cat /opt/pos/etc/config.ini | grep PLUGIN= > /tmp/$$.plugins.ini
    cat /opt/pos/etc/config.ini | grep -v PLUGIN= > /tmp/$$.noplugins.ini
    echo "PLUGIN=CASHGUARD RESET MACHINE,APP,/opt/pos/common/addons/cashguard/cashguard.sh reset,2" >> /tmp/$$.plugins.ini
    echo "PLUGIN=CASHGUARD CASH COLLECT,APP,/opt/pos/common/addons/cashguard/cashguard.sh cash_empty,2" >> /tmp/$$.plugins.ini
    mv /tmp/$$.plugins.ini /opt/pos/etc/config.ini
    cat /tmp/$$.noplugins.ini >> /opt/pos/etc/config.ini
    rm -f /tmp/$$.noplugins.ini
  fi

  while [ true ]; do
    /opt/pos/common/addons/cashguard/cg_loop "Type:RS232;Name:$CASHGUARD_PORT;"
    sleep 1
  done
# empty all money in the machine
elif [ "$PARAM" = "cash_empty" ]; then
  CASH=`/opt/pos/common/addons/cashguard/cash_in_drawer`

  if [ "$CASH" = "0.00" ]; then
    echo "No cash..."
  else
    /opt/pos/common/addons/cashguard/app "value=-$CASH"
  fi

# reset machine
elif [ "$PARAM" = "reset" ]; then
  echo "4 0" > /tmp/cgpay
# value to be recevied
elif [ "$PARAM" != "" ]; then
  /opt/pos/common/addons/cashguard/app "value=$PARAM"
else
  echo "Missing param..."
fi

